
Name:		ChucK
Version:	1.2.1.2
Release:	%mkrel 2

Summary:        Audio programming language for real-time synthesis, composition, and performance
License:	GPL
Group:          Sound
URL:		http://chuck.cs.princeton.edu/
Source0:	chuck-%{version}.tgz
BuildRequires:	libalsa2-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	libjack-devel
BuildRequires:	libsndfile-devel
BuildRequires:	desktop-file-utils
Requires:	alsa
Requires:	jackit >= 0.103
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
ChucK is a new audio programming language for real-time synthesis,
composition, and performance - fully supported on MacOS X, Windows,
and Linux. ChucK presents a new time-based, concurrent programming
model that's highly precise and expressive (we call this
strongly-timed), as well as dynamic control rates, and the ability
to add and modify code on-the-fly. In addition, ChucK supports MIDI,
OSC, HID device, and multi-channel audio. Furthermore, the language
is designed to favor readability and flexibility over raw performance.
It's fun and easy to learn, and offers composers, researchers, and
performers a powerful programming tool for building and experimenting
with complex audio synthesis programs, and real-time interactive
control.

%prep
%setup -q -n chuck-%{version}
%__chmod -x examples/event/ALSO_SEE

%build
pushd src
	for i in alsa jack oss; do
		%__make linux-$i
		%__mv chuck chuck-$i
		%__make clean
	done
popd

%install
%__install -dm 755 %{buildroot}%{_bindir}
for i in alsa jack oss; do
	%__install -m 755 src/chuck-$i \
		%{buildroot}%{_bindir}
done

%__install -dm 755 %{buildroot}%{_datadir}/%{name}
%__cp -R examples/* \
	%{buildroot}%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING DEVELOPER PROGRAMMER QUICKSTART README THANKS TODO VERSIONS
%doc doc/*
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Sun May 25 2009 Texstar <texstar@gmail.com. 1.2.1.2-2pclos2009
- fix rpm group

* Fri Aug 08 2008 Slick50 <slick50@linuxgator.org> 1.2.1.2-1pclos2007
- Import to PCLinuxOS
